
Redmine - Defect #7365

HTTP 500 internal error: repositories controller and annotate action with a Mercurial repos

2011-01-18 21:30 - Hadrien David

Status: Closed Start date: 2011-01-18

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.0

Description

MySQL: 

Welcome to the MySQL monitor.  Commands end with ; or \g.

Your MySQL connection id is 10485

Server version: 5.1.41-3ubuntu12.8 (Ubuntu)

App environment: 

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/www/XXXXXXXXXXX.com/redmine/redmine-1.1

Environment               production

Database adapter          mysql

Database schema version   20101114115359

About your Redmine plugins

Redmine Hudson plugin            1.0.6

Redmine Wiki Extensions plugin   0.2.2

Timesheet Plugin                 0.6.0

Redmine Code Review plugin       0.2.9.3

Mercurial: 

Mercurial Distributed SCM (version 1.4.3)

Stack trace: 

Processing RepositoriesController#annotate (for 4.59.176.6 at 2011-01-18 15:19:58) [GET]

  Parameters: {"action"=>"annotate", "id"=>"core", "path"=>["core", "model", "__init__.py"], "

controller"=>"repositories"}

Rendering template within layouts/base

Rendering repositories/annotate

ActionView::TemplateError (undefined method `changes' for nil:NilClass) on line #77 of app/vie

ws/layouts/base.rhtml:

74: </div>

75: </div>

76: </div>

77: <%= call_hook :view_layouts_base_body_bottom %>

78: </body>

79: </html>

    lib/redmine/hook.rb:63:in `send'
    lib/redmine/hook.rb:63:in `call_hook'

    lib/redmine/hook.rb:63:in `each'

    lib/redmine/hook.rb:63:in `call_hook'

    lib/redmine/hook.rb:60:in `tap'

    lib/redmine/hook.rb:60:in `call_hook'

    lib/redmine/hook.rb:144:in `call_hook'

    app/views/layouts/base.rhtml:77:in `_run_rhtml_app47views47layouts47base46rhtml'

    /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:95:in `process_request'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:374:in `start_request_han

dler'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:332:in `handle_spawn_appl

ication'

    /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:330:in `handle_spawn_appl

ication'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:209:in `start'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib/phusion_passenger/passenger-spawn-server:61

History

#1 - 2011-01-18 21:33 - Hadrien David

I forgot to mention that it does not happen with svn repositories.

#2 - 2011-01-18 22:15 - Hadrien David

It also occurs on entry action:

Processing RepositoriesController#entry (for 4.59.176.6 at 2011-01-18 16:13:46) [GET]

  Parameters: {"action"=>"entry", "id"=>"core", "path"=>["setup.py"], "controller"=>"repositories"}

Rendering template within layouts/base

Rendering repositories/entry

ActionView::TemplateError (undefined method `changes' for nil:NilClass) on line #77 of app/views/layouts/base.

rhtml:

74: </div>

75: </div>

76: </div>

77: <%= call_hook :view_layouts_base_body_bottom %>

78: </body>

79: </html>

    lib/redmine/hook.rb:63:in `send'

    lib/redmine/hook.rb:63:in `call_hook'

    lib/redmine/hook.rb:63:in `each'

    lib/redmine/hook.rb:63:in `call_hook'

    lib/redmine/hook.rb:60:in `tap'

    lib/redmine/hook.rb:60:in `call_hook'

    lib/redmine/hook.rb:144:in `call_hook'

    app/views/layouts/base.rhtml:77:in `_run_rhtml_app47views47layouts47base46rhtml'

    /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:95:in `process_request'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:374:in `start_request_handler'
    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:332:in `handle_spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:330:in `handle_spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:209:in `start'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /var/www/socialludia.com/redmine/redmine-1.1/public/500.html (500 Internal Server Error)

 by the way, here is the plugins list we are using:

acts_as_activity_provider

acts_as_attachable

acts_as_customizable

acts_as_event

acts_as_list

acts_as_searchable

acts_as_tree

acts_as_versioned

acts_as_watchable

awesome_nested_set

classic_pagination

coderay-0.9.2

engines

gravatar

open_id_authentication

prepend_engine_views

redmine_code_review

redmine_hudson

redmine_wiki_extensions

rfpdf

ruby-net-ldap-0.0.4

timesheet_plugin

#3 - 2011-01-18 22:54 - Hadrien David

Strange behaviour:

When creating another project and linking it to the same mercurial repos, it works. :-/

#4 - 2011-01-19 01:39 - Toshi MARUYAMA

- Category set to SCM

- Assignee set to Toshi MARUYAMA

#5 - 2011-01-19 01:44 - Toshi MARUYAMA

It seems plugin issue.

Please see #7325.

#6 - 2011-01-19 03:12 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Redmine Code Review plugin       0.2.9.3
https://www.redmine.org/issues/7325


 It seems old.

If clean Redmine (without plugin) has problem, please reopen this issue.
